﻿EXEC P_ALTERPK 'PK_T_FPM_STATANALYSISTEMP', 'T_FPM_STATANALYSISTEMP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_STATANALYSISTEMP') CREATE INDEX IDX_FPM_STATANALYSISTEMP ON T_FPM_STATANALYSISTEMP ( FID );


EXEC P_ALTERPK 'PK_T_FPM_STATANALYSISTEMPBAK', 'T_FPM_STATANALYSISTEMPBAK', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_STATANALYSISTEMPBAK') CREATE INDEX IDX_FPM_STATANALYSISTEMPBAK ON T_FPM_STATANALYSISTEMPBAK ( FID );


EXEC P_ALTERPK 'PK_T_FPM_SUMMARYCONFIG', 'T_FPM_SUMMARYCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IDX_FPM_SUMMARYCONFIG') CREATE INDEX IDX_IDX_FPM_SUMMARYCONFIG ON T_FPM_SUMMARYCONFIG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_IDX_FPM_SUMMARYBODYSYS') CREATE INDEX IDX_IDX_FPM_SUMMARYBODYSYS ON T_FPM_SUMMARYCONFIG ( FBODYSYSID );


EXEC P_ALTERPK 'PK_T_FPM_SUMREPORTTYPE', 'T_FPM_SUMREPORTTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_SUMREPORTTYPE') CREATE INDEX IDX_FPM_SUMREPORTTYPE ON T_FPM_SUMREPORTTYPE ( FID );


EXEC P_ALTERPK 'PK_T_FPM_SUMMARYMAINPARAM', 'T_FPM_SUMMARYMAINPARAM', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_SUMMARYMAINPARAM') CREATE INDEX IDX_FPM_SUMMARYMAINPARAM ON T_FPM_SUMMARYMAINPARAM ( FID );


EXEC P_ALTERPK 'PK_T_FPM_INTERNALCANCELRULE', 'T_FPM_INTERNALCANCELRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_INTERNALCANCEL') CREATE INDEX IDX_FPM_INTERNALCANCEL ON T_FPM_INTERNALCANCELRULE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_INTERNALBODYSYS') CREATE INDEX IDX_FPM_INTERNALBODYSYS ON T_FPM_INTERNALCANCELRULE ( FBODYSYSID );


EXEC P_ALTERPK 'PK_T_FPM_SUMMARYCONFIG_L', 'T_FPM_SUMMARYCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'FPM_SUMMARYCONFIGFID') CREATE INDEX FPM_SUMMARYCONFIGFID ON T_FPM_SUMMARYCONFIG_L ( FID );


EXEC P_ALTERPK 'PK_T_FPM_INTERNALCANCELRULE_L', 'T_FPM_INTERNALCANCELRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'FPM_INTERNALCANCELFID') CREATE INDEX FPM_INTERNALCANCELFID ON T_FPM_INTERNALCANCELRULE_L ( FID );


EXEC P_ALTERPK 'PK_T_FPM_APPLYREPORTTYPE', 'T_FPM_APPLYREPORTTYPE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_APPLYREPORTTYPE') CREATE INDEX IDX_FPM_APPLYREPORTTYPE ON T_FPM_APPLYREPORTTYPE ( FID );


EXEC P_ALTERPK 'PK_T_FPM_APPLYCURRENCY', 'T_FPM_APPLYCURRENCY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_APPLYCURRENCY') CREATE INDEX IDX_FPM_APPLYCURRENCY ON T_FPM_APPLYCURRENCY ( FID );


EXEC P_ALTERPK 'PK_T_FPM_APPLYOPTIONALDIM', 'T_FPM_APPLYOPTIONALDIM', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_APPLYOPTIONALDIM') CREATE INDEX IDX_FPM_APPLYOPTIONALDIM ON T_FPM_APPLYOPTIONALDIM ( FID );


EXEC P_ALTERPK 'PK_T_FPM_APPLYOPTIONALDIM1', 'T_FPM_APPLYOPTIONALDIM1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_APPLYOPTIONALDIM1') CREATE INDEX IDX_FPM_APPLYOPTIONALDIM1 ON T_FPM_APPLYOPTIONALDIM1 ( FID );


EXEC P_ALTERPK 'PK_T_FPM_APPLYOPTIONALDIM2', 'T_FPM_APPLYOPTIONALDIM2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_APPLYOPTIONALDIM2') CREATE INDEX IDX_FPM_APPLYOPTIONALDIM2 ON T_FPM_APPLYOPTIONALDIM2 ( FID );


EXEC P_ALTERPK 'PK_T_FPM_SUBJECTCANCELCONFIG', 'T_FPM_SUBJECTCANCELCONFIG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_SUBJECTCANCEL') CREATE INDEX IDX_FPM_SUBJECTCANCEL ON T_FPM_SUBJECTCANCELCONFIG ( FID );


EXEC P_ALTERPK 'PK_T_FPM_APPLYSUMORG', 'T_FPM_APPLYSUMORG', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_FPM_APPLYSUMORG') CREATE INDEX IDX_FPM_APPLYSUMORG ON T_FPM_APPLYSUMORG ( FID );